VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::OvfInfo Class Reference

The `OvfInfo` class contains informational messages related to accessing, validating, deploying, or exporting an OVF package. More...

List of all members.

## Public Member Functions
| OvfInfo ()
| Creates a default new instance.
global::System.Collections.Generic.List < vmware.vapi.std.LocalizableMessage > | GetMessages ()
| A list of localizable messages (see vmware.vapi.std.LocalizableMessage ).
void | SetMessages (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > messages)
| A list of localizable messages (see vmware.vapi.std.LocalizableMessage ).
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `OvfInfo` class contains informational messages related to accessing, validating, deploying, or exporting an OVF package.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::OvfInfo::OvfInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::OvfInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::OvfInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::OvfInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::OvfInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::OvfInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::OvfInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::ovf::OvfInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vapi.std.LocalizableMessage> vmware::vcenter::ovf::OvfInfo::GetMessages | ( |  | ) | `[inline]`

A list of localizable messages (see vmware.vapi.std.LocalizableMessage ).

void vmware::vcenter::ovf::OvfInfo::SetMessages | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | messages | ) | `[inline]`

A list of localizable messages (see vmware.vapi.std.LocalizableMessage ).

override string vmware::vcenter::ovf::OvfInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- OvfInfo.cs